petsc-3.7.1 2016-05-15
Report Typos and Errors

# MatRestrict

y = A*x or A'*x

### Synopsis

    #include "petscmat.h"
    PetscErrorCode MatRestrict(Mat A,Vec x,Vec y)

Neighbor-wise Collective on Mat Many br

### Input Parameters

| mat | - the matrix Many br
| x,y | - the vectors Many br

Many br

### Notes

This allows one to use either the restriction or interpolation (its transpose) Many brmatrix to do the restriction Many br

### See Also

MatMultAdd(), MatMultTransposeAdd(), MatInterpolate()

Level:intermediate
Location:src/mat/interface/matrix.c
Index of all Mat routines
Table of Contents for all manual pages
Index of all manual pages

### Examples

src/dm/examples/tutorials/ex65dm.c.html
src/snes/examples/tutorials/ex12.c.html